Bug 1305346 - python-gnupg 0.3.8 has been released
python-gnupg 0.3.8 has been released
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-gnupg (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-07 06:24 EST by Fabio Alessandro Locati
Modified: 2016-05-24 01:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-gnupg-0.3.8-1.fc24 python-gnupg-0.3.8-2.fc24 python-gnupg-0.3.8-2.fc23 python-gnupg-0.3.8-2.fc22 python-gnupg-0.3.8-2.el7 python-gnupg-0.3.8-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:50:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the spec file (5.21 KB, patch)
2016-02-07 09:26 EST, Fabio Alessandro Locati
no flags Details | Diff

  None (edit)
Description Fabio Alessandro Locati 2016-02-07 06:24:09 EST
A new version (0.3.8) has been released and it would be nice to have it in Fedora. I can help with it (I've asked ACL to do so).
Comment 1 Fabio Alessandro Locati 2016-02-07 09:26 EST
Created attachment 1121913 [details]
Patch for the spec file

Also I noticed that this package does not comply with current Fedora Python policy and does not provide python3 packages while upstream is python3 compatible. Also there was a patch that is no longer needed nor used.

I'm attaching a patch to fix all those things I listed
Comment 2 Jan Kurik 2016-02-24 09:25:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Tomas Orsava 2016-04-05 11:02:27 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 4 Petr Viktorin 2016-04-26 12:10:39 EDT
Hello Paul,

Did you get a chance to look at Fabio's patch? Is there anything that needs to be fixed in it?
Comment 5 Fabio Alessandro Locati 2016-04-26 12:36:14 EDT
Hi,

I guess Paul has seen this my patch since has accepted my ACL request. I'm now pushing the patch in the repo.
Comment 6 Paul Wouters 2016-04-26 14:08:48 EDT
awesome, thanks :)
Comment 7 Fedora Update System 2016-04-26 15:01:35 EDT
python-gnupg-0.3.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-abc891a26d
Comment 8 Fedora Update System 2016-04-26 15:01:44 EDT
python-gnupg-0.3.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0621b4cc4a
Comment 9 Fedora Update System 2016-04-26 15:01:49 EDT
python-gnupg-0.3.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2e6d74e14
Comment 10 Fedora Update System 2016-04-26 15:01:54 EDT
python-gnupg-0.3.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9c65d173cb
Comment 11 Fedora Update System 2016-04-26 15:02:00 EDT
python-gnupg-0.3.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d2eb99829
Comment 12 Fedora Update System 2016-04-27 13:51:13 EDT
python-gnupg-0.3.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-abc891a26d
Comment 13 Fedora Update System 2016-04-27 22:25:01 EDT
python-gnupg-0.3.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9c65d173cb
Comment 14 Fedora Update System 2016-04-27 22:29:39 EDT
python-gnupg-0.3.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0621b4cc4a
Comment 15 Fedora Update System 2016-04-27 22:32:07 EDT
python-gnupg-0.3.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a2e6d74e14
Comment 16 Fedora Update System 2016-04-27 22:32:26 EDT
python-gnupg-0.3.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d2eb99829
Comment 17 Dominika Krejčí 2016-05-04 11:13:36 EDT
As this package is Python 3 compatible, it no longer blocks PYTHON3 porting bug.
Comment 18 Fedora Update System 2016-05-05 05:10:37 EDT
python-gnupg-0.3.8-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ae97f86d0c
Comment 19 Fedora Update System 2016-05-05 05:10:52 EDT
python-gnupg-0.3.8-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-23388517c5
Comment 20 Fedora Update System 2016-05-05 05:11:00 EDT
python-gnupg-0.3.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-37b917c5c9
Comment 21 Fedora Update System 2016-05-05 05:11:12 EDT
python-gnupg-0.3.8-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3dfb669b4
Comment 22 Fedora Update System 2016-05-05 05:11:20 EDT
python-gnupg-0.3.8-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ea7044142
Comment 23 Fedora Update System 2016-05-06 07:28:47 EDT
python-gnupg-0.3.8-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-23388517c5
Comment 24 Fedora Update System 2016-05-06 16:52:05 EDT
python-gnupg-0.3.8-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ea7044142
Comment 25 Fedora Update System 2016-05-06 16:57:09 EDT
python-gnupg-0.3.8-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3dfb669b4
Comment 26 Fedora Update System 2016-05-06 20:21:46 EDT
python-gnupg-0.3.8-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ae97f86d0c
Comment 27 Fedora Update System 2016-05-06 20:30:37 EDT
python-gnupg-0.3.8-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-37b917c5c9
Comment 28 Fedora Update System 2016-05-07 07:50:39 EDT
python-gnupg-0.3.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-05-10 07:47:23 EDT
python-gnupg-0.3.8-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-05-15 01:30:55 EDT
python-gnupg-0.3.8-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-05-16 10:54:17 EDT
python-gnupg-0.3.8-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2016-05-23 18:48:07 EDT
python-gnupg-0.3.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2016-05-24 01:48:37 EDT
python-gnupg-0.3.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.